2 Replies Latest reply on Oct 13, 2011 11:24 AM by Roisin McConnell

    API to create countersunk holes?

    Roisin McConnell

      hey guys, I need a code that will create a series of countersunk holes along the skin of an aircraft. I've tried recording the macro and using it in my code but it doesnt seem to work and i've no idea why?!?!

       

      boolstatus = Doc.Extension.SelectByID2("Skin-1", "SOLIDBODY", -1.747904307634, 1.815276984748, -0.189625882341, True, 4, Nothing, 0)

      boolstatus = Doc.Extension.SelectByID2("Stiffener-1", "SOLIDBODY", -1.767717466085, 1.782085876325, -0.01076531896774, True, 4, Nothing, 0)

      boolstatus = Doc.Extension.SelectByID2("", "FACE", -1.750440050819, 1.812831936085, -0.1628607091698, False, 0, Nothing, 0)

      Dim myFeature As Object

      Set myFeature = Doc.FeatureManager.HoleWizard3(1, 1, 36, "M2", 1, 0.0024, 2.553017165882, 0.0044, 1.570796326795, 0, 1, 0, 0, 0, 0, 0, -1, -1, -1, "", False, True, False, True, True, False)

      Doc.ClearSelection2 True

       

       

      thats the code ^^^ I recorded and was trying to use but it doesnt create the holes, I also included a picture of what it should look like.